Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Courses

Get Course Statistics
GET /training/courses/statistics
https://api.relesystest.net/api/v1.4/training/courses/statistics
Get a list of Course Statistics for participation - including calculated values for users without any completions.
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
completionRate double Filterable Sortable optional
courseId string / guid Filterable optional
courseParticipationState string Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
performanceScore double Filterable Sortable optional
points integer Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseId":"321f3ede-1888-4152-9ede-3ce014ca870d","userId":"0e188d4f-c286-404c-8ed6-ffa11b0446e9","courseParticipationState":"Completed","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","completionRate":1.0,"performanceScore":0.9,"points":5},{"courseId":"af94a44c-ffb2-4977-8224-d6bc32c0dd4f","userId":"501a9848-8acc-4efc-9995-cc375a53aa8b","courseParticipationState":"Not Started","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","completionRate":0.0,"performanceScore":null,"points":0}]}
object
  count integer      
  data array[object]      
   completionRate double      
   courseId string / guid      
   courseParticipationState string      
   creationDateTime datetimeoffset      
   lastModifiedDateTime datetimeoffset      
   performanceScore double      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string